\begin{abstract}
Modular robotics is based on the idea that a lot of seemingly
simple items, with different or equal functionality, builds up
structures that can perform complex tasks. Sensing, processing
actuation and ordinary kinematics are the key problems that have
to be focused on in the paradigm of traditional robotics
control. But there is quite a different approach necessary when
we use modular robotics, simply because it is unknown at the
time of construction of the individual modules where to find the
individual resource's that makes up the ``intelligent'' parts of
the system. Therefore the modules need a solid communication
system that forms the basis of this infrastructure. It is the
focus of this project to create a basis communication for this
infrastructure. The system described will support at the lowest
level ordinary transfer of messages between directly connected
modules together with the ability to handle random connection of
new modules. At a higher level, I focus the report on the
building of global networks that will help sending commands
everywhere, sub-nets (hybrid nets) that support networks that
exists between two or more modules that have some application
dependent coherence. Finally i present a line of ideas on how to
abstract position of execution for behaviors in the system.
\end{abstract}
